# Microsoft.Samples.DirectX.UtilityToolkit.TextHelper Struct Reference

Manages the intertion point when drawing text. More...

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.TextHelper:

[legend]

List of all members.

## Public Member Functions
| TextHelper (Font f, Sprite s, int l)
| Create a new instance of the text helper class.
void | DrawTextLine (string text)
| Draw a line of text.
void | DrawTextLine (string text, params object[] args)
| Draw a line of text.
void | SetInsertionPoint (System.Drawing.Point p)
| Insertion point of the text.
void | SetInsertionPoint (int x, int y)
void | SetForegroundColor (int c)
| The color of the text.
void | SetForegroundColor (System.Drawing.Color c)
void | Begin ()
| Begin the sprite rendering.
void | End ()
| End the sprite.
| TextHelper (Font f, Sprite s, int l)
| Create a new instance of the text helper class.
void | DrawTextLine (string text)
| Draw a line of text.
void | DrawTextLine (string text, params object[] args)
| Draw a line of text.
void | SetInsertionPoint (System.Drawing.Point p)
| Insertion point of the text.
void | SetInsertionPoint (int x, int y)
void | SetForegroundColor (int c)
| The color of the text.
void | SetForegroundColor (System.Drawing.Color c)
void | Begin ()
| Begin the sprite rendering.
void | End ()
| End the sprite.
| TextHelper (Font f, Sprite s, int l)
| Create a new instance of the text helper class.
void | DrawStringLine (string text)
| Draw a line of text.
void | DrawStringLine (string text, params object[] args)
| Draw a line of text.
void | SetInsertionPoint (System.Drawing.Point p)
| Insertion point of the text.
void | SetInsertionPoint (int x, int y)
void | SetForegroundColor (int c)
| The color of the text.
void | SetForegroundColor (System.Drawing.Color c)
void | Begin ()
| Begin the sprite rendering.
void | End ()
| End the sprite.

## Detailed Description

Manages the intertion point when drawing text.

Definition at line 1873 of file dxmutmisc.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.TextHelper | ( | Font | f,
|  | Sprite | s,
|  | int | l |
| ) |  |  |

Create a new instance of the text helper class.

Definition at line 1884 of file dxmutmisc.cs.

Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.TextHelper | ( | Font | f,
|  | Sprite | s,
|  | int | l |
| ) |  |  |

Create a new instance of the text helper class.

Definition at line 1884 of file dxmutmisc.cs.

Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.TextHelper | ( | Font | f,
|  | Sprite | s,
|  | int | l |
| ) |  |  |

Create a new instance of the text helper class.

Definition at line 1877 of file wdxmutmisc.cs.

## Member Function Documentation

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.Begin | ( |  | ) |

Begin the sprite rendering.

Definition at line 1927 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.Begin | ( |  | ) |

Begin the sprite rendering.

Definition at line 1934 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.Begin | ( |  | ) |

Begin the sprite rendering.

Definition at line 1934 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.DrawStringLine | ( | string | text,
|  | params object[] | args |
| ) |  |  |

Draw a line of text.

Definition at line 1906 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.DrawStringLine | ( | string | text | ) |

Draw a line of text.

Definition at line 1889 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.DrawTextLine | ( | string | text,
|  | params object[] | args |
| ) |  |  |

Draw a line of text.

Definition at line 1913 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.DrawTextLine | ( | string | text | ) |

Draw a line of text.

Definition at line 1896 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.DrawTextLine | ( | string | text,
|  | params object[] | args |
| ) |  |  |

Draw a line of text.

Definition at line 1913 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.DrawTextLine | ( | string | text | ) |

Draw a line of text.

Definition at line 1896 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.End | ( |  | ) |

End the sprite.

Definition at line 1938 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.End | ( |  | ) |

End the sprite.

Definition at line 1945 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.End | ( |  | ) |

End the sprite.

Definition at line 1945 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetForegroundColor | ( | System.Drawing.Color | c | ) |

Definition at line 1922 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetForegroundColor | ( | int | c | ) |

The color of the text.

Definition at line 1921 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetForegroundColor | ( | System.Drawing.Color | c | ) |

Definition at line 1929 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetForegroundColor | ( | int | c | ) |

The color of the text.

Definition at line 1928 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetForegroundColor | ( | System.Drawing.Color | c | ) |

Definition at line 1929 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetForegroundColor | ( | int | c | ) |

The color of the text.

Definition at line 1928 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetInsertionPoint | ( | int | x,
|  | int | y |
| ) |  |  |

Definition at line 1916 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetInsertionPoint | ( | System.Drawing.Point | p | ) |

Insertion point of the text.

Definition at line 1915 of file wdxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetInsertionPoint | ( | int | x,
|  | int | y |
| ) |  |  |

Definition at line 1923 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetInsertionPoint | ( | System.Drawing.Point | p | ) |

Insertion point of the text.

Definition at line 1922 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetInsertionPoint | ( | int | x,
|  | int | y |
| ) |  |  |

Definition at line 1923 of file dxmutmisc.cs.

void Microsoft.Samples.DirectX.UtilityToolkit.TextHelper.SetInsertionPoint | ( | System.Drawing.Point | p | ) |

Insertion point of the text.

Definition at line 1922 of file dxmutmisc.cs.

The documentation for this struct was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs